Jump to content


Photo

RootsMagic 5.0.4 and Wine

mac

  • Please log in to reply
1 reply to this topic

#1 UniquarkJ

UniquarkJ

    New Member

  • Members
  • Pip
  • 1 posts

Posted 02 November 2012 - 11:27 AM

We are new to RootsMagic, but we have been using it for a few months. After installing Wine on our Mac (10.6.8), RootsMagic 5.0.2.1 seemed to be running fine. However, when it asked us to upgrade to 5.0.4.1, RootsMagic completely stopped working. It seems to be missing GDI+. Looking around the web, it appears that GDI+ is an old graphics system from back in the early 2000s. Because it is so old, wine is not supporting it. Why would you suddenly start using a depricated dll? Do you plan to fix this problem in future versions? For now, I have backed down to 5.0.2.1 and it seems to be working again.

#2 RootsMagician

RootsMagician

    Administrator

  • Admin
  • PipPipPip
  • 826 posts

Posted 05 November 2012 - 10:50 AM

RM didn't "suddenly start using a deprecated DLL". RM has used GDI+ all along, but if GDI+ wasn't installed we went back to its predecessor GDI (which Wine does support). The problem is not with RM using an old DLL, it is with Wine only using an even older DLL.

You will need to install the newer GDI+. RM's use of GDI+ is in a library we license so we can't force it to go back and use the older GDI.
RootsMagician